Get All Notification Rules

Get All Notification Rules
Get all the Notification Rules defined in the system

Get all the Notification Rules defined in the system

Request
URI
GET
https://{api_host}/suite-api/api/notifications/rules
COPY
Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Authentication
This operation uses the following authentication methods.
Responses
200

All the Notification Rules defined in the system

Returns notification-rules of type(s) application/json
"{\n  \"rules\" : [ {\n    \"id\" : \"493b1a14-ad34-4f0a-a2b4-97c99eb4bc75\",\n    \"name\" : \"Notification Rule 1\",\n    \"pluginId\" : \"Some Notification Plugin Instance ID\",\n    \"enabled\" : true,\n    \"templateId\" : \"Some Payload Template ID\",\n    \"alertControlStates\" : [ \"OPEN\", \"ASSIGNED\" ],\n    \"alertStatuses\" : [ \"NEW\", \"ACTIVE\" ],\n    \"criticalities\" : [ \"CRITICAL\", \"IMMEDIATE\" ],\n    \"resourceKindFilter\" : {\n      \"resourceKind\" : \"Datastore\",\n      \"adapterKind\" : \"VMWARE\"\n    },\n    \"resourceKindFilters\" : [ ],\n    \"resourceFilters\" : [ ],\n    \"alertTypeFilters\" : [ ],\n    \"alertDefinitionIdFilters\" : {\n      \"values\" : [ \"VMWARE-Datastore-NotEnoughIOPS\" ]\n    },\n    \"sendHeartbeat\" : false,\n    \"properties\" : [ ],\n    \"ruleType\" : \"ALERT\",\n    \"actionStatuses\" : [ ]\n  }, {\n    \"id\" : \"33b88a50-7bf1-4c9b-b1c7-b2338eae6555\",\n    \"name\" : \"Notification Rule 2\",\n    \"pluginId\" : \"Some Other Notification Plugin Instance ID\",\n    \"enabled\" : false,\n    \"templateId\" : \"Some Other Payload Template ID\",\n    \"alertControlStates\" : [ \"SUPPRESSED\", \"SUSPENDED\" ],\n    \"alertStatuses\" : [ \"CANCELED\", \"UPDATED\" ],\n    \"criticalities\" : [ \"WARNING\", \"INFORMATION\" ],\n    \"resourceKindFilters\" : [ ],\n    \"resourceFilters\" : [ {\n      \"resourceId\" : \"4d34be74-cd9f-42c9-8502-3487b7950dd1\",\n      \"childrenResourceKindFilters\" : [ ],\n      \"childrenResourceKindKeyFilters\" : [ ]\n    } ],\n    \"alertTypeFilters\" : [ ],\n    \"alertImpactFilters\" : {\n      \"values\" : [ \"HEALTH\", \"RISK\" ]\n    },\n    \"sendHeartbeat\" : true,\n    \"properties\" : [ ],\n    \"ruleType\" : \"ALERT\",\n    \"actionStatuses\" : [ ]\n  } ]\n}"
array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result

array of object
rules
Optional

List of Notification Rules


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/notifications/rules